## Struct mount_point_base

zeep::http::rest_controller::mount_point_base — abstract base class for mount points

## Synopsis

    // In header: <zeep/http/rest-controller.hpp>

    // abstract base class for mount points

    struct mount_point_base {
      // construct/copy/destruct
      (, );
      ~();

      // public member functions
       (parameter_pack &, reply &) = ;

      // public data members
       m_path;
       m_method;
       m_rx;
       m_path_params;
    };

## Description

### `mount_point_base` public construct/copy/destruct

1.     ( path,  method);

2.     ~();

### `mount_point_base` public member functions

1.      (parameter_pack & params, reply & reply) = ;